// Zurb Foundation fixes / improvements

// Fouc fix with animation
@keyframes fouc-fade-in {
  from {
    opacity:0;
  }
  to {
    opacity:1;
  }
}
// Fix Foucs
.no-js {
  // Prevent dropdown menu fouc
  .is-dropdown-submenu-parent{
    // we've removed this class because of https://foundation.zurb.com/forum/posts/46047-bug-foundation-topbar-dropdown-menu-error .. so
    > .menu{
      visibility:hidden;
    }
  }
  // Offcanvas - we cant use transition animation because this is already used for the regular show/hide animation
  // With the 'fouc-fade-in'-animation we wait for the initial transition animation to finish ==> no foud.
  .off-canvas{
    opacity:0;
    animation-name: fouc-fade-in;
    animation-duration: 10ms;
    animation-iteration-count: 1;
    animation-delay: $offcanvas-transition-length + .25;
  }
}

// Navigation
.menu{
  &--static{
    // we need this for megamenus, otherwise the width of the flyout is wrong
    position:static;
  }
}

// Media Objects
// -- Fix media objects without media / image - the text shouldnt have space then
.media-object{
  img{
    max-width:100%;
  }
  &--missing-image{
    .media-object-section:last-child:not(:nth-child(2)){
      padding-left:0;
      padding-right:0;
    }
  }
}

// Fix callout contents
.callout{
  a:not(.button){
    color:$callout-font-color !important;
  }
}

// Flyout Shadows
.menu.is-dropdown-submenu{
  box-shadow: $dropdownmenu-shadow;
}

// Fix dropdown shadow setting - it isnt applied elsewhere
.dropdown-pane {
  box-shadow: $dropdown-shadow;
}

// Fix dropdown font size
.dropdown-pane{
  font-size:1em;
}
// .card-image has a min-height of 1px, what is problematic with our equal height solution (jQuery + xy grid)
.card-image{
  min-height:unset;
}

// Reveals / Modals
.reveal{
  // Set z-index for the close button - otherwise its often hidden by the contents
  > .close-button{
    z-index:99;
  }
}

// Buttons
.button.dropdown::after {
  // Fix dropdown arrow position
  top: 0;
}

// Responsive Tables
// -- Add an inner shadow to responsive tables if horizontally scrollable, so its more clear to the users
// -- https://www.smashingmagazine.com/2019/01/table-design-patterns-web/#style-the-scroll
table{
  // Ckeditor sets inline style width override this
  width:100% !important;
  td{
    border:$table-border;
  }
}
.table-scroll{
  max-width: 100%;
  background: linear-gradient(to right, white 30%, rgba(255, 255, 255, 0)), linear-gradient(to right, rgba(255, 255, 255, 0), white 70%) 0 100%, radial-gradient(farthest-side at 0% 50%, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0)), radial-gradient(farthest-side at 100% 50%, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0)) 0 100%;
  background-repeat: no-repeat;
  background-color: white;
  background-size: 40px 100%, 40px 100%, 14px 100%, 14px 100%;
  background-position: 0 0, 100%, 0 0, 100%;
  background-attachment: local, local, scroll, scroll;
  table{
    margin:0;
  }
}

// Fix breadcrumb link color (color is just set on the surrounding li)
.breadcrumbs a{
  color: currentColor;
}
// Another Foundation breadcrumb colors fix
.breadcrumbs{
  li:not(.current){
    color: $breadcrumbs-item-color;
  }
}

// Add visibility classes for custom sizes (not generated by ZF)
.show-for-xlarge{
  @include show-for('xlarge');
}
.hide-for-xlarge{
  @include hide-for('xlarge');
}
.show-for-xxlarge{
  @include show-for('xxlarge');
}
.hide-for-xxlarge{
  @include hide-for('xxlarge');
}
